import request from '/@/utils/request';

export function Add(params: string) {
	return request({
		url: '/lis/barcode/info/add',
		method: 'post',
		data: params,
	});
}
export function update(params: string) {
	return request({
		url: '/lis/barcode/info/update',
		method: 'post',
		data: params,
	});
}
export function deleteId(params: string) {
	return request({
		url: '/lis/barcode/info/delete',
		method: 'post',
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded'
        },
		data: params,
	});
}

export function listRecentActivity(params: object) {
  return request({
    url: '/lis/sync/task/listRecentActivity',
    method: 'post',
    params
  })
}

export function getLisServiceStatus(params: object) {
    return request({
      url: '/lis/service/getLisServiceStatus',
      method: 'post',
      params
    })
}
export function sendLisControlCommand(params: object) {
  return request({
    url: '/lis/service/sendLisControlCommand',
    method: 'post',
    params
  })
}
export function list(params: object) {
  return request({
    url: '/lis/barcode/info/list',
    method: 'post',
    params
  })
}
export function getItems(params: object) {
    return request({
      url: '/lis/barcode/info/getItems',
      method: 'post',
      data: params
    })
}
export function printBarcode(params: object) {
    return request({
      url: '/lis/barcode/info/printBarcode',
      method: 'post',
      data: params
    })
}
export function cancelBarcodes(params: object) {
  return request({
    url: '/lis/barcode/info/cancelBarcodes',
    method: 'post',
    data: params
  })
}